Subject: Re: ... is not writable by you
From: Sebastien Barre <[email-masked]>
To: John Fortin <[email-masked]>
Cc: Dennis Newbold <[email-masked]>, [email-masked]
Date: Fri, 26 Feb 1999 01:05:18 +0100

At 14:07 25/02/99 -0500, John Fortin wrote:

>What is you userid though.  If the files were created by you and you are part
>of the administrator group, the files are OWNED by the administrator ID.  If
>your userid is not the administrator then you only have read/execute rights.

As seen in my example, the prompt PS1 shows that *I* am the administrator,
it's a standalone workstation which belongs to me :)

It might be related to Perl anyway, because the install script is written
in Perl. Here is the problematic part :

if ($d_dosuid && $>) { die "You must run as root to install suidperl\n"; }
   $installbin		|| die "No installbin directory in config.sh\n";
-d $installbin		|| mkpath($installbin, 1, 0777);
-d $installbin		|| $nonono || die "$installbin is not a directory\n";
-w $installbin		|| $nonono || die "$installbin is not writable by you\n"
	unless $installbin =~ m#^/afs/# || $nonono;

I removed the -w line, and it works. But I'd like to *understand* the problem.

______________________________________________________________
Sebastien Barre                  http://www.hds.utc.fr/~barre/

--
Want to unsubscribe from this list?
Send a message to [email-masked]